System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.ControlDesigner

The class is obsolete. Use the class for equivalent control designer functionality.

This control designer provides the ability to drop controls onto the control for this designer.

Extends design-time behavior for read/write server controls.

- Constructor

  The class is obsolete. Use the class for equivalent control designer functionality.

  Initializes an instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.String

  The class is obsolete. Use the class for equivalent control designer functionality.

  Gets the HTML that is used to represent the control at design time.

  The HTML that is used to represent the control at design time.

- Method
  System.Void `` ``

  The method is obsolete. Use the method for equivalent control designer functionality.

  this method must be overridden in a derived class to implement the designer.

  Maps a property, including description and value, to an intrinsic HTML style.

  The name of the property to map. The value of the property. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The method is obsolete. Use the members of the property instead. For example, use the and methods on the property to map properties to styles.

  Provides notification that is raised when a behavior is attached to the designer.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use ControlDesigner.Tag instead")
- Method
  System.Void `` ``

  The class is obsolete. Use the class for equivalent control designer functionality.

  The event occurs after a property has been changed. This method allows implementers to do any processing that may be needed after a property change.

  Represents the method that will handle the event of the class.

  The object sending the event. The object that provides data for the event. 1.0.5000.0 2.0.0.0
- Method
  2.0.0.0
  System.Void

  The class is obsolete. Use the class for equivalent control designer functionality.

  Refreshes the display of the control.

System.Obsolete("Use ContainerControlDesigner instead")